%global upstream_version 20100211

%global jni	%{_libdir}/%{name}

%define         _disable_ld_no_undefined 1

Name:           rxtx
Version:        2.2
Release:        %mkrel 9
Summary:        serial and parallel I/O libraries supporting Sun's CommAPI
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.rxtx.org/
#Source0:        http://rxtx.qbang.org/pub/rxtx/% {name}-% {upstream_version}.zip
# cvs -d:pserver:anonymous@qbang.org:/var/cvs/cvsroot co -r commapi-0-0-1 -D "2010-02-11" -d rxtx-20100211 rxtx-devel
# tar czvf rxtx-20100211-src-cvs.tar.gz --exclude CVS --exclude .cvsignore rxtx-20100211
Source0:        rxtx-20100211-src-cvs.tar.gz
Source1:        README.fedora
# from fedora
Patch1:		rxtx-2.2-loadlibrary.patch
Patch2:		rxtx-2.2-no-io.h.patch
Patch3:		rxtx-2.2-fhs_lock.patch
Patch4:		rxtx-2.2-lock.patch
Patch5:		rxtx-2.2-Add-Arduino-driver-ttyACM-rxtxcomm-as-device.patch
Patch6:		rxtx-2.2-java-version-fix.patch
Patch7:		rxtx-2.2-convert-strcpy-to-strncpy.patch

BuildRequires:	ant
BuildRequires:	ant-junit
BuildRequires:	automake
BuildRequires:	java-devel
BuildRequires:	junit
BuildRequires:	libtool
BuildRequires:	maven-local

ExcludeArch:	ppc ppc64 s390 s390x

%description
RXTX is a native library providing serial and parallel communication for the
Java Development Toolkit (JDK) moving towards compliance with Sun's CommAPI.

%prep
%setup -q -n %{name}-%{upstream_version}
sed -e 's|@JNIPATH@|%{jni}|' %{PATCH1} | patch -s -b --suffix .p1 -p1

%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

# remove prebuild binaries
find . -name '*.jar' -delete
find . -name '*.hqx' -delete
cp -a %{SOURCE1} .

%build
export JAVA_HOME=%{_jvmdir}/java
%configure2_5x
%make_build -j4

iconv -f ISO_8859-1 -t UTF-8 ChangeLog >ChangeLog.utf-8
mv ChangeLog.utf-8 ChangeLog

%install
mkdir -p %{buildroot}%{_javadir} %{buildroot}%{jni}
%make_install RXTX_PATH=%{buildroot}%{jni} JHOME=%{buildroot}%{_javadir}
# we don't want these
find %{buildroot} -name '*.la' -delete

%mvn_artifact org.rxtx:rxtx:%{version} RXTXcomm.jar
%mvn_file org.rxtx:rxtx:%{version} RXTXcomm
%mvn_install
rm -f  %{buildroot}%{_javadir}/RXTXcomm.jar
ln -s %{_jnidir}/RXTXcomm.jar %{buildroot}%{_javadir}/RXTXcomm.jar

%files -f .mfiles
%doc AUTHORS ChangeLog README TODO COPYING README.fedora
%doc RMISecurityManager.html SerialPortInstructions.txt
%{_javadir}/RXTXcomm.jar
%jni


%changelog
* Fri Aug 19 2016 daviddavid <daviddavid> 2.2-9.mga6
+ Revision: 1047002
- sync a bit with fedora24:
  * Fix compilation on ppc64le (#1252860)
  * Apply patch from bug #1208453 (strcpy -> strncpy)
  * Patch java library version string to match the so-libs's 2.2pre2
  * Add Arduino ttyACM + rxtxcomm devices patch
  * Use mvn_artifact et. al. instead to provide maven metadata
  * Fix packaging bug with jni-related jar in /usr/share/java

* Tue Feb 09 2016 umeabot <umeabot> 2.2-8.mga6
+ Revision: 952007
- Mageia 6 Mass Rebuild

* Mon Jan 12 2015 daviddavid <daviddavid> 2.2-7.mga5
+ Revision: 810169
- use .mfiles generated during build
- update BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 2.2-6.mga5
+ Revision: 750200
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2-5.mga5
+ Revision: 689011
- Mageia 5 Mass Rebuild

* Sun Jan 05 2014 dmorgan <dmorgan> 2.2-4.mga4
+ Revision: 564750
- Restore good JNIPATH

* Sun Jan 05 2014 umeabot <umeabot> 2.2-3.mga4
+ Revision: 564739
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + gil <gil>
    - update to 2.2
    - remove librxtx-devel subpackage
    - add maven pom

* Thu Sep 22 2011 gil <gil> 2.1.7.2-2.mga2
+ Revision: 146759
- added m2 pom

* Sun Mar 27 2011 dmorgan <dmorgan> 2.1.7.2-1.mga1
+ Revision: 77916
- imported package rxtx


* Sat Jul 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.7.2-1mdv2010.0
+ Revision: 399666
- use same version as gentoo

* Fri Jul 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.7r2-1mdv2010.0
+ Revision: 396931
- import rxtx


* Thu Jul 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.7r2-1mdv2010.0
- first mdv release
